
/*    Table of contents tree    */



/* --- basic toc-tree settings --- */

.toc-tree
{
	user-select: none;
	font-family: Helvetica, Arial, Sans-serif;
	font-style: normal;
	font-size: 14px;
	line-height: 120%;
}

.toc-tree ul,
.toc-tree li
{
	padding: 0;
	margin: 4px 0;
	list-style: none;
	white-space: nowrap;
}

.toc-tree input
{
	position: absolute;
	opacity: 0;
}

.toc-tree label,
.toc-tree label::before,
.toc-tree a
{
	display: inline-block;
	height: 16px;
	line-height: 16px;,
	vertical-align: middle;
}

/* --- link decoration --- */

.toc-tree a,
.toc-tree a:visited
{
	text-decoration: none;
	color: #0000aa;
}

.toc-tree a:hover
{
	text-decoration: underline;
}

/* --- indented sub tree --- */

.toc-tree input + label + ul
{
	margin: 0 0 0 22px;
}

/* --- hidden sub tree --- */

.toc-tree input ~ ul
{
	display: none;
}

/* --- visible sub tree --- */

.toc-tree input:checked ~ ul
{
	display: block;
}

/* --- cursor --- */

.toc-tree input,
.toc-tree label,
.toc-tree label::before
{
	cursor: pointer;
}

.toc-tree label.leaf,
.toc-tree label.leaf::before
{
	cursor: default;
}

/* --- icons definition --- */

.toc-tree label,
.toc-tree label::before
{
	background: url("toc-icons.png") no-repeat;
}

/* --- document icon --- */

.toc-tree label
{
	background-position: 18px 0;
}

/* --- plus / minus icon (for expandable nodes)--- */

.toc-tree label::before
{
	content: "";
	width: 16px;
	margin: 0 22px 0 0;
	vertical-align: middle;
	background-position: 0 -32px;
}

.toc-tree input:checked + label::before
{
	background-position: 0 -16px;
}

/* --- empty icon (for leaf nodes) --- */

.toc-tree label.leaf::before
{
	background-position: 0 -48px;
}
